# Class Candidate

java.lang.Object
de.javawi.jstun.test.demo.ice.Candidate

All Implemented Interfaces:
  `Comparable`

public class Candidate extends Object implements Comparable

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Candidate.CandidateType`

## Constructor Summary

Constructors
Constructor
Description
`Candidate(Address address, short componentId)`
`Candidate(Address address, Candidate.CandidateType type, short componentId, Candidate base)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object arg0)`
`boolean`
`equals(Object o)`
`Address`
`getAddress()`
`Candidate`
`getBase()`
`Candidate.CandidateType`
`getCandidateType()`
`short`
`getComponentId()`
`int`
`getFoundationId()`
`boolean`
`getInUse()`
`int`
`getPort()`
`int`
`getPriority()`
`void`
`setBase(Candidate base)`
`void`
`setComponentId(short componentId)`
`void`
`setFoundationId(int foundationId)`
`void`
`setInUse(boolean isInUse)`
`void`
`setPriority(int priority)`

### Methods inherited from class Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Candidate

public Candidate(Address address, short componentId) throws SocketException, UnknownHostException, UtilityException

Throws:
  `SocketException`
  `UnknownHostException`
  `UtilityException`

### Candidate

public Candidate(Address address, Candidate.CandidateType type, short componentId, Candidate base) throws SocketException, UnknownHostException, UtilityException

Throws:
  `SocketException`
  `UnknownHostException`
  `UtilityException`

## Method Details

### setBase

public void setBase(Candidate base)

### getBase

public Candidate getBase()

### getCandidateType

public Candidate.CandidateType getCandidateType()

### setComponentId

public void setComponentId(short componentId)

### getComponentId

public short getComponentId()

### setFoundationId

public void setFoundationId(int foundationId)

### getFoundationId

public int getFoundationId()

### setPriority

public void setPriority(int priority)

### getPriority

public int getPriority()

### getAddress

public Address getAddress() throws UtilityException

Throws:
  `UtilityException`

### getPort

public int getPort()

### setInUse

public void setInUse(boolean isInUse)

### getInUse

public boolean getInUse()

### compareTo

public int compareTo(Object arg0)

Specified by:
  `compareTo` in interface `Comparable`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`